package cz.muni.fi.pb162.transport;


/**
 * Transport of persons.
 * 
 * @author Radek Oslejsek 
 * @version 2007-10-10
 */

public interface PublicTransport  
{
    /**
     * @return kolik maximalne uvezeme lidi
     */
    int getCapacity();
    
    /**
     * @return kolik pasazeru je aktualve uvnitr dopravniho prostredku
     */
    int getNumPassengers();
    
    /**
     * Nasoupeni pasazeru do dopravniho prostredku.
     *
     * @param nPassengers pocet osob, ktere nove nastupuji 
     * @return pocet pasazeru, kteri skutecne nastoupili 
     *         (pocet pasazeru nesmi prekrocit kapacitu)
     */
    int getOn(int nPassengers);
    
    /**
     * Vystoupeni pasazeru do dopravniho prostredku.
     *
     * @param nPassengers pocet osob, ktere vystupuji
     * @return pocet pasazeru, kteri skutecne vystoupili 
     *         (pocet paszeru nesmi klesnout pod nulu)
     */
    int getOff(int nPassengers);    
}
